# frozen_string_literal: true

module Projects
  module Security
    class VulnerabilityReportController < Projects::ApplicationController
      include SecurityAndCompliancePermissions
      include SecurityDashboardsPermissions

      before_action do
        push_frontend_feature_flag(:vulnerability_management_survey, type: :ops, default_enabled: :yaml)
        push_frontend_feature_flag(:operational_vulnerabilities, @project, default_enabled: :yaml)
      end

      feature_category :vulnerability_management

      alias_method :vulnerable, :project
    end
  end
end
